Loading...
Searching...
No Matches
gitfan Namespace Reference

## Data Structures

class | facet
struct | facet_compare

## Typedefs

typedef std::set< facet, facet_compare > | facets

## Functions

void | mergeFacets (facets &F, const facets &newFacets)

## Typedef Documentation

## facets

typedef std::set<facet,facet_compare> gitfan::facets

Definition at line 50 of file gitfan.h.

## Function Documentation

## mergeFacets()

void gitfan::mergeFacets | ( | facets & | F,
|  | const facets & | newFacets )

Definition at line 77 of file gitfan.cc.

{
std::pair<facets::iterator,bool> check(newFacets.begin(),false);
for(facets::iterator p=newFacets.begin(); p!=newFacets.end(); p++)
{
check = F.insert(*p);
if(!check.second)
F.erase(check.first);
}
}
p
int p
Definition cfModGcd.cc:4086
check
VAR int check
Definition libparse.cc:1106